/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "IEEE-1609-3-WSA"
 * 	found in "../Ieee1609Dot3Wsa.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_ChannelInfoExt_H_
#define	_ChannelInfoExt_H_


#include <asn_application.h>

/* Including external dependencies */
#include "Extension.h"

#ifdef __cplusplus
extern "C" {
#endif

/* ChannelInfoExt */
typedef Extension_22P2_t	 ChannelInfoExt_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_ChannelInfoExt;
asn_struct_free_f ChannelInfoExt_free;
asn_struct_print_f ChannelInfoExt_print;
asn_constr_check_f ChannelInfoExt_constraint;
ber_type_decoder_f ChannelInfoExt_decode_ber;
der_type_encoder_f ChannelInfoExt_encode_der;
xer_type_decoder_f ChannelInfoExt_decode_xer;
xer_type_encoder_f ChannelInfoExt_encode_xer;
per_type_decoder_f ChannelInfoExt_decode_uper;
per_type_encoder_f ChannelInfoExt_encode_uper;

#ifdef __cplusplus
}
#endif

#endif	/* _ChannelInfoExt_H_ */
#include <asn_internal.h>
